<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UpdateAarGroupReq StructType
 * @subpackage Structs
 */
class UpdateAarGroupReq extends NameAndGUIDRequest
{
    /**
     * The newName
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 32
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $newName;
    /**
     * Constructor method for UpdateAarGroupReq
     * @uses UpdateAarGroupReq::setNewName()
     * @param string $newName
     */
    public function __construct($newName = null)
    {
        $this
            ->setNewName($newName);
    }
    /**
     * Get newName value
     * @return string|null
     */
    public function getNewName()
    {
        return $this->newName;
    }
    /**
     * Set newName value
     * @param string $newName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\UpdateAarGroupReq
     */
    public function setNewName($newName = null)
    {
        $this->newName = $newName;
        return $this;
    }
}
